Name:          libghttp
Version:       1.0.9
Release:       3mamba
Summary:       GNOME HTTP client library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.gnome.org/pub/gnome/sources/libghttp/1.0/%{name}-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNOME HTTP client library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description devel
GNOME http client library.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\* |,| aarch64-\* | arm-\* |," config.sub
sed -i "s,| x86-\* |,| x86-\* | x86_64-\* |," config.sub

%build
%configure \
   --enable-shared
# Warning: % configure does not work

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libghttp.so.*
%{_libdir}/ghttpConf.sh
%doc AUTHORS COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%{_libdir}/libghttp.a
%{_libdir}/libghttp.la
%{_libdir}/libghttp.so
%{_includedir}/*.h
%doc ChangeLog NEWS README TODO

%changelog
* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-3mamba
- rebuilt with debug package and aarch64 build fix

* Sat Jul 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-2mamba
- specfile updated

* Wed May 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1qilnx
- package created by autospec
